Subject: Re: mingw headers and libraries missing
From: Georg Troska <[email-masked]>
To: Andy Koppe <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Jul 2009 10:21:55 +0200
List-Id: <cygwin.cygwin.com>

hi,
thank you very much for this information

Where o I find windsock.h and its library? Do I need a SDK (e.g.  
Visual C++) for this?

georg
Am 27.07.2009 um 21:29 schrieb Andy Koppe:

>> 2009/7/27 Georg Troska:
>>> I want to compile some code with -mno-cygwin.
>>> Unfortunately some mingw-libs are missing (sys/select.h, sys/ 
>>> cdefs.h). also
>>> the corresponding libraries
>>>
>>> How can I get them?
>>
>> You can't, because MingW doesn't implement select().
>
> ps: Windows itself has a select() in <winsock.h>, but that only works
> on sockets and not on any file as required by POSIX and implemented by
> Cygwin.
>
> Andy
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple